Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2003-1219

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2003-1219
Last Modified 12 Dec 2012 09:24:28
Published 31 Dec 2003 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2003-1219

Summary

Cross-site scripting (XSS) vulnerability in the tep_href_link function in html_output.php for osCommerce before 2.2-MS3 allows remote attackers to inject arbitrary web script or HTML via the osCsid parameter.

Vulnerable Systems

Application

  • Oscommerce 2.2 Ms2


References

BID - 9238

BUGTRAQ - 20031217 osCommerce Malformed Session ID XSS Vuln

CONFIRM - http://www.oscommerce.com/community/bugs,1546

MLIST - [tep-commits] 20031217 [TEP-COMMIT] CVS: catalog/catalog/includes/functions html_output.php,1.58,1.59


Last Updated: 27 May 2016 10:40:44